Summary:	Utilities belonging to the btrfs filesystem
Summary(pl.UTF-8):	Narzędzia należące do systemu plików btrfs
Name:		btrfs-progs
Version:	4.3
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	https://www.kernel.org/pub/linux/kernel/people/kdave/btrfs-progs/%{name}-v%{version}.tar.xz
# Source0-md5:	2272dfcab5c7e19886485c771da43336
Patch0:		%{name}-man.patch
URL:		http://btrfs.wiki.kernel.org/
BuildRequires:	acl-devel
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.60
BuildRequires:	e2fsprogs-devel
BuildRequires:	libblkid-devel
BuildRequires:	libcom_err-devel
BuildRequires:	libuuid-devel
BuildRequires:	lzo-devel >= 2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xmlto
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Btrfs is a new copy on write filesystem for Linux aimed at
implementing advanced features while focusing on fault tolerance,
repair and easy administration.

%description -l pl.UTF-8
Btrfs to nowy system plików dla Linuksa oparty na zasadzie kopiowania
przy zapisie (copy-on-write), którego celem jest zaimplementowanie
zaawansowanych możliwości ze szczególnym naciskiem na odporność na
awarie, naprawę i łatwe administrowanie.

%package devel
Summary:	Header files for btrfs filesystem-specific library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki dla systemu plików btrfs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files needed to develop btrfs
filesystem-specific programs.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne przy tworzeniu programów
przeznaczonych dla systemu plików btrfs.

%package static
Summary:	Static btrfs filesystem library
Summary(pl.UTF-8):	Statyczna biblioteka dla systemu plików btrfs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static btrfs filesystem library.

%description static -l pl.UTF-8
Statyczna biblioteka dla systemu plików btrfs.

%prep
%setup -q -n %{name}-v%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}
%{__make} install \
	prefix=%{_prefix} \
	bindir=%{_sbindir} \
	mandir=%{_mandir} \
	libdir=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf btrfsck $RPM_BUILD_ROOT%{_sbindir}/fsck.btrfs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL
%attr(755,root,root) %{_sbindir}/btrfsck
%attr(755,root,root) %{_sbindir}/mkfs.btrfs
%attr(755,root,root) %{_sbindir}/fsck.btrfs
%attr(755,root,root) %{_sbindir}/btrfs-debug-tree
%attr(755,root,root) %{_sbindir}/btrfs-image
%attr(755,root,root) %{_sbindir}/btrfs-convert
%attr(755,root,root) %{_sbindir}/btrfstune
%attr(755,root,root) %{_sbindir}/btrfs
%attr(755,root,root) %{_sbindir}/btrfs-map-logical
%attr(755,root,root) %{_sbindir}/btrfs-zero-log
%attr(755,root,root) %{_sbindir}/btrfs-find-root
%attr(755,root,root) %{_sbindir}/btrfs-select-super
%attr(755,root,root) %{_sbindir}/btrfs-show-super
%attr(755,root,root) %{_libdir}/libbtrfs.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libbtrfs.so.0
%{_mandir}/man5/btrfs.5*
%{_mandir}/man8/btrfs.8*
%{_mandir}/man8/btrfs-*.8*
%{_mandir}/man8/btrfsck.8*
%{_mandir}/man8/btrfstune.8*
%{_mandir}/man8/fsck.btrfs.8*
%{_mandir}/man8/mkfs.btrfs.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbtrfs.so
%{_includedir}/btrfs

%files static
%defattr(644,root,root,755)
%{_libdir}/libbtrfs.a
%changelog
* Sun Nov 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/btrfs-progs.git;a=log;h=master

* Sun Nov 08 2015 Jakub Bogusz <qboosh@pld-linux.org> d3f74c4
- updated to 4.3

* Mon Oct 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 8fa447e
- updated to 4.2.2

* Mon Sep 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 920c084
- updated to 4.2

* Wed Jul 29 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> 90e480a
- up to 4.1.2

* Tue Jun 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 299b85a
- updated to 4.1

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 750c60d
- updated to 4.0
- updated man patch

* Wed Apr 22 2015 Jakub Bogusz <qboosh@pld-linux.org> f2d3a8e
- updated to 3.19.1

* Sat Mar 21 2015 Jan Palus <atler@pld-linux.org> 82ef4e4
- up to 3.19

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> b61c34d
- x32 rebuild
- release 2 (by relup.sh)

* Tue Feb 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 6ddbd9c
- updated to 3.18.2

* Mon Jan 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f3110e
- up to 3.18.1

* Sun Dec 07 2014 Jakub Bogusz <qboosh@pld-linux.org> cae4ce1
- BR: asciidoc

* Sun Dec 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 7ce94b1
- updated to 3.17.3

* Sat Nov 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 5112829
- updated to 3.17.2

* Wed Nov 12 2014 Jakub Bogusz <qboosh@pld-linux.org> a11951f
- lzo2

* Sat Nov 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fff945
- up to 3.17.1

* Sat Nov 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c3aff9a
- up to 3.16

* Sun Jun 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 7b8b71e
- updated to 3.14.2
- removed obsolete arg_strtou64 patch
- added man patch (manpage symlink fix)

* Sat Apr 19 2014 Jakub Bogusz <qboosh@pld-linux.org> ada6dca
- updated to 3.14.1
- added arg_strtou64 patch from opensuse (fixes missing symbol in library)

* Fri Jan 17 2014 Jakub Bogusz <qboosh@pld-linux.org> bc66191
- pl
- added -static

